#!/bin/tcsh
###
###     HEMOS common shell startup script
###     May 13, 1996
###     by jay_adm
###

if ( $?REMOTEHOST ) then
	setenv DISPLAY ${REMOTEHOST}:0.0
endif

### for system specific shell startup script
if ( -f /afs/postech/sys/\@sys/etc/csh.cshrc ) then
        source /afs/postech/sys/\@sys/etc/csh.cshrc
endif

# default path for all users.
#if ( $?path ) then
#        set path = ( $path /bin /usr/bin /usr/sbin /usr/ucb /usr/etc /etc )
#else
        set path = ( /bin /usr/bin /usr/sbin /usr/ucb /usr/etc /etc )
#endif
set path = ( $path /usr/afsws/bin /usr/afsws/etc )
set path = ( $path /afs/p/sys/common/bin )
set path = ( $path /usr/remote/bin /usr/remote/etc )
set path = ( $path /usr/remote/X11R5/bin /usr/remote/X11/bin )
set path = ( $path /usr/bin/X11 /usr/X11R6/bin /usr/contrib/bin /usr/local/bin)
set path = ( $path . )

if ( $?prompt ) then
	stty intr '^C' kill '^U' susp '^Z'
	stty erase '^H'
#	Terminal setting
	stty -istrip -parity cs8
	set noglob; eval `resize`; unset noglob
endif

# We really should not be setting Environment variables
# here, since these will override user settings made in
# ~/.login. However, HP VUE doesn't read /etc/csh.login or
# ~/.login, so this is safe for all VUE users. Non-VUE users beware.
### for global environment variables
if ( -f /afs/postech/sys/common/etc/csh.environ ) then
        source /afs/postech/sys/common/etc/csh.environ
endif

# password expiration warning
if ( $?PASSWORD_EXPIRES ) then
        echo "[NOTE] Your password will expire $PASSWORD_EXPIRES days later."
        if ( $PASSWORD_EXPIRES < 7 ) then
                echo " > You need to change your password right now."
        endif
endif
